### Virtual Method

# Shumate DataSource get_tile_data_async

#### Declaration [src]

    void
    get_tile_data_async (
      ShumateDataSource* self,
      int x,
      int y,
      int zoom_level,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Gets the data for the tile at the given coordinates.

Some data sources may return data multiple times. For example, `ShumateTileDownloader` may return data from a cache, then return updated data from the network. `ShumateDataSource::received-data` is emitted each time data is received, then `callback` is called after the last update.

#### Parameters

`x` | `int`
| The X coordinate to fetch.
`y` | `int`
| The Y coordinate to fetch.
`zoom_level` | `int`
| The Z coordinate to fetch.
`cancellable` | `GCancellable`
| A `GCancellable`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`callback` | `GAsyncReadyCallback`
| A `GAsyncReadyCallback` to execute upon completion.
`user_data` | `gpointer`
| Closure data for `callback`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.